clear all;

% data load
load data;

% sampling frequency
fs = 1e+9;

% Filter
F = [9.4 9.8 10.2 10.6]*1e+6-3.75e+6;
A = [0 1 0];
dev = [0.001 0.005 0.001];
[M,Wn,beta,typ]= kaiserord(F,A,dev,fs);
b = fir1(M,Wn,typ,kaiser(M+1,beta),'noscale');
n = 65536;
fb = freqz(b,1,n/2,fs);
fb(n/2+2:n) = conj(fb(n/2:-1:2));
fb(n/2+1) = real(fb(n/2+1));
fb=fb.';

for k = 1:size(data,1)
        vs = squeeze(data(k,:));
        vs=vs-mean(vs);
        fvs = real(ifft(fft(vs).*fb));
        fvs = fft(fvs(30000:39200));
        a(k,:)=sum(fvs.*conj(fvs));
end


% Figure S2
figure;
t = 0:60/720:(720-1)/12;
plot(t*60,a *10e-4);
ylim([25 40]);
xlim([100 3500]);
ylabel('Energy [a.u]');
xlabel('{\it t} [s]');
set(gca,'FontSize',16,'FontName','Arial');